"use strict";

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", {
  value: true
});

var dateUtil_1 = require("../utils/dateUtil");

function useCellClassName(_ref) {
  var cellPrefixCls = _ref.cellPrefixCls,
      generateConfig = _ref.generateConfig,
      rangedValue = _ref.rangedValue,
      hoverRangedValue = _ref.hoverRangedValue,
      isSameCell = _ref.isSameCell,
      today = _ref.today,
      value = _ref.value;

  function getClassName(currentDate) {
    var _ref2;

    return _ref2 = {}, _defineProperty(_ref2, "".concat(cellPrefixCls, "-in-range"), dateUtil_1.isInRange(generateConfig, rangedValue && rangedValue[0], rangedValue && rangedValue[1], currentDate)), _defineProperty(_ref2, "".concat(cellPrefixCls, "-range-start"), isSameCell(rangedValue && rangedValue[0], currentDate)), _defineProperty(_ref2, "".concat(cellPrefixCls, "-range-end"), isSameCell(rangedValue && rangedValue[1], currentDate)), _defineProperty(_ref2, "".concat(cellPrefixCls, "-range-hover"), dateUtil_1.isInRange(generateConfig, hoverRangedValue && hoverRangedValue[0], hoverRangedValue && hoverRangedValue[1], currentDate)), _defineProperty(_ref2, "".concat(cellPrefixCls, "-range-hover-start"), isSameCell(hoverRangedValue && hoverRangedValue[0], currentDate)), _defineProperty(_ref2, "".concat(cellPrefixCls, "-range-hover-end"), isSameCell(hoverRangedValue && hoverRangedValue[1], currentDate)), _defineProperty(_ref2, "".concat(cellPrefixCls, "-today"), isSameCell(today, currentDate)), _defineProperty(_ref2, "".concat(cellPrefixCls, "-selected"), isSameCell(value, currentDate)), _ref2;
  }

  return getClassName;
}

exports.default = useCellClassName;